Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.linker
Class AbstractLinker

    java.lang.Object
      com.google.gwt.core.ext.Linker
          com.google.gwt.core.ext.linker.AbstractLinker

    public abstract class AbstractLinker

extends Linker

Provides basic functions common to all Linker implementations.

Constructor Summary
`AbstractLinker()`

Method Summary
`protected SyntheticArtifact` | `emitBytes(TreeLogger logger, byte[] what, java.lang.String partialPath)` A helper method to create an artifact from an array of bytes.
`protected SyntheticArtifact` | `emitInputStream(TreeLogger logger, java.io.InputStream what, java.lang.String partialPath)` A helper method to create an artifact to emit the contents of an InputStream.
`protected SyntheticArtifact` | `emitString(TreeLogger logger, java.lang.String what, java.lang.String partialPath)` A helper method to create an artifact to emit a String.
`protected SyntheticArtifact` | `emitWithStrongName(TreeLogger logger, byte[] what, java.lang.String prefix, java.lang.String suffix)` A helper method to create an artifact from an array of bytes with a strong name.

Methods inherited from class com.google.gwt.core.ext.Linker
`getDescription, link`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLinker

    public AbstractLinker()

Method Detail

### emitBytes

    protected final SyntheticArtifact emitBytes(TreeLogger logger,
                                                byte[] what,
                                                java.lang.String partialPath)
                                         throws UnableToCompleteException

  A helper method to create an artifact from an array of bytes.

  Parameters:
    `logger` - a TreeLogger
    `what` - the data to emit
    `partialPath` - the partial path of the resource
  Returns:
    an artifact that contains the given data
  Throws:
    `UnableToCompleteException`

### emitInputStream

    protected final SyntheticArtifact emitInputStream(TreeLogger logger,
                                                      java.io.InputStream what,
                                                      java.lang.String partialPath)
                                               throws UnableToCompleteException

  A helper method to create an artifact to emit the contents of an InputStream.

  Parameters:
    `logger` - a TreeLogger
    `what` - the source InputStream
    `partialPath` - the partial path of the emitted resource
  Returns:
    an artifact that contains the contents of the InputStream
  Throws:
    `UnableToCompleteException`

### emitString

    protected final SyntheticArtifact emitString(TreeLogger logger,
                                                 java.lang.String what,
                                                 java.lang.String partialPath)
                                          throws UnableToCompleteException

  A helper method to create an artifact to emit a String.

  Parameters:
    `logger` - a TreeLogger
    `what` - the contents of the Artifact to emit
    `partialPath` - the partial path of the emitted resource
  Returns:
    an artifact that contains the contents of the given String
  Throws:
    `UnableToCompleteException`

### emitWithStrongName

    protected final SyntheticArtifact emitWithStrongName(TreeLogger logger,
                                                         byte[] what,
                                                         java.lang.String prefix,
                                                         java.lang.String suffix)
                                                  throws UnableToCompleteException

  A helper method to create an artifact from an array of bytes with a strong name.

  Parameters:
    `logger` - a TreeLogger
    `what` - the data to emit
    `prefix` - a non-null string to prepend to the hash to determine the Artifact's partial path
    `suffix` - a non-null string to append to the hash to determine the Artifact's partial path
  Returns:
    an artifact that contains the given data
  Throws:
    `UnableToCompleteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD